%define upstream_name    HTML-Widgets-NavMenu
%define upstream_version 1.0703

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A nav-menu iterator
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module generates a navigation menu for a site. It can also generate a
complete site map, a path of leading components, and also keeps track of
navigation links ("Next", "Prev", "Up", etc.) You can start from the
example above and see more examples in the tests, and complete working
sites in the Subversion repositories at the
http://opensvn.csie.org/shlomif/homepage/ manpage and the
http://opensvn.csie.org/perlbegin/perl-begin/ manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README TODO examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.70.300-3.mga6
+ Revision: 1028421
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.70.300-2.mga6
+ Revision: 966393
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 shlomif <shlomif> 1.70.300-1.mga6
+ Revision: 844376
- update to 1.0703

* Sun Oct 19 2014 umeabot <umeabot> 1.70.200-5.mga5
+ Revision: 790217
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.70.200-4.mga5
+ Revision: 744113
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.70.200-2.mga4
+ Revision: 524684
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 1.70.200-1.mga4
+ Revision: 431359
- New version 1.0702

* Sun Jan 13 2013 umeabot <umeabot> 1.70.100-2.mga3
+ Revision: 368235
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 1.70.100-1.mga3
+ Revision: 330207
- update to 1.0701

* Wed Sep 26 2012 jquelin <jquelin> 1.60.300-1.mga3
+ Revision: 298005
- update to 1.0603

* Thu Sep 06 2012 kharec <kharec> 1.60.100-1.mga3
+ Revision: 288918
- update to 1.0601

* Sat Dec 17 2011 shlomif <shlomif> 1.60.0-1.mga2
+ Revision: 182971
- imported package perl-HTML-Widgets-NavMenu


* Fri Apr 22 2011 cpan2dist 1.0600-1mdv
- initial mdv release, generated with cpan2dist
